Subject: Re: Fw: [Bugme-new] [Bug 3777] New: tun driver fails to open when built in, must be modular

From: Michael Renzmann <[email-masked]>
Date: Sat, 20 Nov 2004 06:27:39 +0100

Hi.

Andrew Morton wrote:
> Problem Description: kernel will not assign/open a tun device when tun.o is
> compiled as a built-in. ifconfig gives 'unable to open /dev/net/tun' error.
> compiling as a module fixes.

If anyone can give me a small general hints for what might be the cause 
of this problem, I could take a look at it. I already have some patches 
for tun.o (that needs to be sent to the maintainer), another one doesn't 
hurt :) But since I'm not yet too experienced with programming of kernel 
modules, any help would be appreciated.

Bye, Mike